@extends('layouts.admin')
@section('content')
        <!--左侧菜单栏-->
<aside class="main-sidebar">
    <!-- sidebar: style can be found in sidebar.less -->
    <section class="sidebar">
        <!-- Sidebar user panel -->
        <div class="user-panel">
            <div class="pull-left image">
                @if($user->thumb == ' '||$user->thumb==null)
                    <img src="{{asset('img/arr.jpg')}}" class="img-circle" alt="User Image">
                @else
                    <img src="{{asset($user->thumb)}}" class="img-circle" alt="User Image">
                @endif            </div>
            <div class="pull-left info">
                <p>{{ $role->display_name }}</p>
                <a href="#"><i class="fa fa-circle text-success"></i> 在线</a>
            </div>
        </div>
        <!-- search form -->
        <form action="{{ url('/search/') }}" method="get" class="sidebar-form">
            <div class="input-group">
                <input type="text" name="search" class="form-control" placeholder="Search...">
              <span class="input-group-btn">
                <button type="submit"  id="search-btn" class="btn btn-flat"><i class="fa fa-search"></i>
                </button>
              </span>
            </div>
        </form>
        <!-- /.search form -->
        <!-- sidebar menu: : style can be found in sidebar.less -->
        <ul class="sidebar-menu">
            <li class="header">菜单栏</li>
            <li class="treeview">
                <a href="{{ url('/') }}">
                    <i class="fa fa-home"></i>
                    <span>信息汇总</span>
                </a>
            </li>
            <li class="treeview">
                <a href="#">
                    <i class="fa fa-files-o"></i>
                    <span>项目申请</span>
                    <i class="fa fa-angle-left pull-right"></i>
                </a>
                <ul class="treeview-menu">
                    <li><a href="{{ url('/table') }}"><i class="fa  fa-file-text-o"></i>受理案件
                            <i class="fa fa-angle-left pull-right"></i></a>
                        <ul class="treeview-menu">
                            <li><a href="{{ url('/table/1') }}"><i class="fa fa-circle-o"></i>安置单(货币化安置)</a></li>
                            <li><a href="{{ url('/table/2') }}"><i class="fa fa-circle-o"></i>违章建筑自行拆除费用申领表</a></li>
                            <li><a href="{{ url('/table/3') }}"><i class="fa fa-circle-o"></i>残疾人房征补贴审批确认单</a></li>
                            <li><a href="{{ url('/table/4') }}"><i class="fa fa-circle-o"></i>房屋征收提前搬迁奖励单</a></li>
                            <li><a href="{{ url('/table/5') }}"><i class="fa fa-circle-o"></i>逾期过渡安置补助费发放单</a></li>
                            <li><a href="{{ url('/table/6') }}"><i class="fa fa-circle-o"></i>房屋征收安置补贴单</a></li>
                            <li><a href="{{ url('/table/7') }}"><i class="fa fa-circle-o"></i>核算单（货币化安置）</a></li>
                            <li><a href="{{ url('/table/8') }}"><i class="fa fa-circle-o"></i>核算单（产权调换）</a></li>
                            <li><a href="{{ url('/table/9') }}"><i class="fa fa-circle-o"></i>核算单（货币补偿）</a></li>
                        </ul>
                    </li>
                    <li><a href="{{ url('/on_table') }}"><i class="fa fa-circle-o"></i>待办案件</a></li>
                </ul>
            </li>
            <li class="treeview">
                <a href="{{ url('/search/show') }}">
                    <i class="fa  fa-search"></i>
                    <span>案件追踪</span>
                </a>
            </li>
            <li class="treeview active">
                <a href="#">
                    <i class="fa fa-cogs"></i>
                    <span>系统设置</span>
                    <i class="fa fa-angle-left pull-right"></i>
                </a>
                <ul class="treeview-menu">
                    <li><a href="{{ url('/user_list') }}">
                            <i class="fa fa-circle-o"></i>
                            <span>用户管理</span></a>
                    </li>
                    <li><a href="{{ url('/job') }}">
                            <i class="fa fa-circle-o"></i>
                            <span>职位管理</span>
                        </a>
                    </li>
                    <li><a href="{{ url('/project') }}">
                            <i class="fa fa-circle-o"></i>
                            <span>项目管理</span>
                        </a>
                    </li>
                    <li class="active"><a href="{{ url('/department') }}">
                            <i class="fa fa-circle-o"></i>
                            <span>机构管理</span>
                        </a>
                    </li>
                </ul>
            </li>
        </ul>
    </section>
    <!-- /.sidebar -->
</aside>
<!-- =============================================== -->
<!-- 内容 -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            系统设置
            <small> </small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{{ url('/')}}"><i class="fa fa-dashboard"></i> 主页</a></li>
            <li><a href="#">系统设置</a></li>
            <li><a href="{{ url('/department') }}">机构管理</a></li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
        <!-- Default box -->
        <div class="box">
            <div class="box-header">
                <h3 class="box-title">机构管理</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
                <div id="example2_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
                    <div class="row">
                        <div class="col-sm-11"></div>
                        <div class="col-sm-1">
                            @if($user->role>4)
                                <a href="{{ url('/department/create') }}" class="btn btn-primary tooltips">
                                    <i class="fa fa-plus"></i>新增</a>
                                @endif
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-12">
                            <table class="table mb30">
                                <thead>
                                <tr>
                                    <th>id</th>
                                    <th>机构名称</th>
                                    <th>机构说明</th>
                                    <th>操作</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($data as $list)
                                    <tr>
                                        <td>{{ $list -> id }}</td>
                                        <td>{{ $list -> department_name }}</td>
                                        <td>{{ $list -> department_description}}</td>
                                        <td>
                                            @if($user->role>4)
                                                <a href="{{ url('/department/'.$list->id.'/edit') }}" class="btn btn-primary btn-sm">
                                                    <i class="fa fa-pencil"></i> 编辑</a>
                                                @if($list->display == 1)
                                                    <a href="javascript:;" onclick="ting({{ $list->id }})" class="btn btn-danger btn-sm article-delete">
                                                        <i  class="fa fa-eye-slash"></i> 隐藏</a>
                                                @else
                                                    <a href="javascript:;" onclick="start({{ $list->id }})" class="btn btn-success btn-sm article-delete">
                                                        <i  class="fa fa-eye"></i> 启用</a>
                                                @endif
                                                @else
                                                您的权限不足
                                            @endif
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-5">
                            <div class="dataTables_info" id="example2_info" role="status" aria-live="polite"></div>
                        </div>
                        <div class="col-sm-7">
                            <div class="dataTables_paginate paging_simple_numbers" id="example2_paginate">
                                <ul class="pagination">

                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.box-body -->
        </div>
        <!-- /.box -->

    </section>
    <!-- /.content -->
</div>
<!-- /.content-wrapper -->


<script>
    function del_user(dep_id){
        layer.confirm('确定要删除这个机构吗？',{
            btn:['确定','取消']
        },function(){
            $.post('{{ url('/department/') }}/'+dep_id,{
                '_method':'delete',
                '_token' :'{{ csrf_token() }}'
            },function(data){
                if(data.status == 1){
                    location.href = location.href;
                    layer.alert(data.msg, {icon: 6});
                }else {
                    layer.alert(data.msg, {icon: 5});
                }
            });
        },function(){

        });
    }

    function ting(dep_id){
        layer.confirm('确定要隐藏这个机构吗？',{
            btn:['确定','取消']
        },function(){
            $.post('{{ url('/department/ting') }}/'+dep_id,{
                '_token' :'{{ csrf_token() }}'
            },function(data){
                if(data.status == 1){
                    location.href = location.href;
                    layer.alert(data.msg, {icon: 6});
                }else {
                    layer.alert(data.msg, {icon: 5});
                }
            });
        },function(){

        });
    }

    function start(dep_id){
        layer.confirm('确定要显示这个机构吗？',{
            btn:['确定','取消']
        },function(){
            $.post('{{ url('/department/start') }}/'+dep_id,{
                '_token' :'{{ csrf_token() }}'
            },function(data){
                if(data.status == 1){
                    location.href = location.href;
                    layer.alert(data.msg, {icon: 6});
                }else {
                    layer.alert(data.msg, {icon: 5});
                }
            });
        },function(){

        });
    }

</script>
@endsection