@extends('layouts.admin')
@section('content')


    {{--修改表格--}}
    <style>
        .table-bordered>tbody>tr>td,.table-bordered>thead:first-child>tr:first-child>th{
            border: 1px solid #585858;
            font-weight: bold;
            text-align: center;
            font-size: 16px;
            overflow:hidden;
            width: 12%;
            padding: 15px 0px 15px 0px;
        }
        .table>tbody>tr>td{
            padding: 15px 0px 15px 0px;
            vertical-align: middle;
        }
        .table>tbody:first-child>tr>td{
            padding: 0px;
        }
        .table>tbody>tr>td>.form-control{
            margin: 15px 0px 15px 0px;
            width: 80%;
        }
    </style>

    <!--左侧菜单栏-->
    <aside class="main-sidebar">
        <!-- sidebar: style can be found in sidebar.less -->
        <section class="sidebar">
            <!-- Sidebar user panel -->
            <div class="user-panel">
                <div class="pull-left image">
                    @if($user->thumb == ' '||$user->thumb==null)
                        <img src="{{asset('img/arr.jpg')}}" class="img-circle" alt="User Image">
                    @else
                        <img src="{{asset($user->thumb)}}" class="img-circle" alt="User Image">
                    @endif                </div>
                <div class="pull-left info">
                    <p>{{ $role->display_name }}</p>
                    <a href="#"><i class="fa fa-circle text-success"></i> 在线</a>
                </div>
            </div>
            <!-- search form -->
            <form action="{{ url('/search/') }}" method="get" class="sidebar-form">
                <div class="input-group">
                    <input type="text" name="search" class="form-control" placeholder="Search...">
              <span class="input-group-btn">
                <button type="submit"  id="search-btn" class="btn btn-flat"><i class="fa fa-search"></i>
                </button>
              </span>
                </div>
            </form>
            <!-- /.search form -->
            <!-- sidebar menu: : style can be found in sidebar.less -->
            <ul class="sidebar-menu">
                <li class="header">菜单栏</li>
                <li class="treeview">
                    <a href="{{ url('/') }}">
                        <i class="fa fa-home"></i>
                        <span>信息汇总</span>
                    </a>
                </li>
                <li class="treeview active">
                    <a href="#">
                        <i class="fa fa-files-o"></i>
                        <span>项目申请</span>
                        <i class="fa fa-angle-left pull-right"></i>
                    </a>
                    <ul class="treeview-menu">
                        <li class="active"><a href="{{ url('/table') }}"><i class="fa  fa-file-text-o"></i>受理案件
                                <i class="fa fa-angle-left pull-right"></i></a>
                            <ul class="treeview-menu">
                                <li><a href="{{ url('/table/1') }}"><i class="fa fa-circle-o"></i>安置单(货币化安置)</a></li>
                                <li class="active"><a href="{{ url('/table/2') }}"><i class="fa fa-circle-o"></i>违章建筑自行拆除费用申领表</a></li>
                                <li><a href="{{ url('/table/3') }}"><i class="fa fa-circle-o"></i>残疾人房征补贴审批确认单</a></li>
                                <li><a href="{{ url('/table/4') }}"><i class="fa fa-circle-o"></i>房屋征收提前搬迁奖励单</a></li>
                                <li><a href="{{ url('/table/5') }}"><i class="fa fa-circle-o"></i>逾期过渡安置补助费发放单</a></li>
                                <li><a href="{{ url('/table/6') }}"><i class="fa fa-circle-o"></i>房屋征收安置补贴单</a></li>
                                <li><a href="{{ url('/table/7') }}"><i class="fa fa-circle-o"></i>核算单（货币化安置）</a></li>
                                <li><a href="{{ url('/table/8') }}"><i class="fa fa-circle-o"></i>核算单（产权调换）</a></li>
                                <li><a href="{{ url('/table/9') }}"><i class="fa fa-circle-o"></i>核算单（货币补偿）</a></li>
                            </ul>
                        </li>
                        <li><a href="{{ url('/on_table') }}"><i class="fa fa-circle-o"></i>待办案件</a></li>
                    </ul>
                </li>
                <li class="treeview">
                    <a href="{{ url('/search/show') }}">
                        <i class="fa  fa-search"></i>
                        <span>案件追踪</span>
                    </a>
                </li>
                <li class="treeview">
                    <a href="#">
                        <i class="fa fa-cogs"></i>
                        <span>系统设置</span>
                        <i class="fa fa-angle-left pull-right"></i>
                    </a>
                    <ul class="treeview-menu">
                        <li><a href="{{ url('/user_list') }}">
                                <i class="fa fa-circle-o"></i>
                                <span>用户管理</span></a>
                        </li>
                        <li><a href="{{ url('/job') }}">
                                <i class="fa fa-circle-o"></i>
                                <span>职位管理</span>
                            </a>
                        </li>
                        <li><a href="{{ url('/project') }}">
                                <i class="fa fa-circle-o"></i>
                                <span>项目管理</span>
                            </a>
                        </li>
                    </ul>
                </li>
            </ul>
        </section>
        <!-- /.sidebar -->
    </aside>
    <!-- =============================================== -->
    <!-- 内容 -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                受理案件
                <small> </small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="{{ url('/')}}"><i class="fa fa-dashboard"></i> 主页</a></li>
                <li><a href="#">项目申请</a></li>
                <li><a href="{{ url('/table') }}">受理案件</a></li>
            </ol>
        </section>
        <!-- Main content -->
        <section class="content">
            <!-- Default box -->
            <div class="box">
                <div class="box-header">

                </div>
                <!-- /.box-header -->
                <div class="box-body">
                    {{--content--}}
                    <div class="row" style="text-align: center">
                        <h3>违章建筑自行拆除费用申领表</h3><br>
                    </div>
                    <form action="" method="post">
                        {{ csrf_field() }}
                    <div id="example2_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
                        <div class="row">
                            <div class="col-sm-2">项目名称：</div>
                            <div class="col-sm-7">
                                <select class="form-control" name="project_name">
                                    <option></option>
                                    @foreach($project as $data)
                                        <option value="{{ $data->project_name }}">{{ $data->project_name }}</option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="col-sm-1">编号：</div>
                            <div class="col-sm-2">
                                <input name="num" style="margin: 0px;" class="form-control" type="text" placeholder="必填项" value="">
                            </div><br><br>
                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <table style="border: 1px solid #585858" id="example2" class="table table-bordered">
                                    <tbody>
                                    <tr>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                    </tr>
                                    <tr>
                                        <td>姓 名</td>
                                        <td colspan="2">身份证号码</td>
                                        <td>电 话</td>
                                        <td colspan="2">违章建筑地址</td>
                                    </tr>
                                    <tr>
                                        <td><input name="bzc_name" class="form-control" type="text" placeholder="" value=""></td>
                                        <td colspan="2"><input name="bzc_cardid" class="form-control" type="text" placeholder="" value=""></td>
                                        <td><input name="bzc_tel" class="form-control" type="text" placeholder="" value=""></td>
                                        <td colspan="2"><input name="bzc_addr" class="form-control" type="text" placeholder="" value=""></td>
                                    </tr>
                                    <tr>
                                        <td>违章面积（㎡）</td>
                                        <td><input name="bzc_area" class="form-control" type="text" placeholder="" value=""></td>
                                        <td colspan="4">拆除金额：<input name="chaichuje" class="form-control" type="text" placeholder=""></td>
                                    </tr>
                                    <tr>
                                        <td colspan="6"><textarea name="jisuanmx"  style="width: 95%;height: 250px;" placeholder="计算明细："></textarea></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">违章建筑自拆费用申取人：</td>
                                        <td><input name="zichaiqz" class="form-control" type="text" placeholder=""></td>
                                        <td colspan="3">时 间：<input name="table_time" class="form-control" type="text" placeholder="" value=""></td>
                                    </tr>
                                    <tr>
                                        <td colspan="3">工作小组执法人员全体：<input name="workmanallqz" class="form-control" type="text" placeholder="">
                                            <br>时 间：<input name="workmanallqz_time" class="form-control" type="text" placeholder=""></td>
                                        <td colspan="3">区征拆局工作人员：<input name="zcworkmanqz" class="form-control" type="text" placeholder="">
                                        <br>时 间：<input name="zcworkmanqz_time" class="form-control" type="text" placeholder=""></td>
                                    </tr>
                                    <tr>
                                        <td colspan="3">工作小组组长：<input name="workcaptainqz" class="form-control" type="text" placeholder="">
                                            <br>时 间：<input name="workcaptainqz_time" class="form-control" type="text" placeholder=""></td>
                                        <td colspan="3">督查专员：<input name="duchaqz" class="form-control" type="text" placeholder="">
                                            <br>时 间：<input name="duchaqz_time" class="form-control" type="text" placeholder=""></td>
                                    </tr>
                                    <tr>
                                        <td colspan="3">工作组负责人：<input name="workfzqz" class="form-control" type="text" placeholder="">
                                            <br>时 间：<input name="workfzqz_time" class="form-control" type="text" placeholder=""></td>
                                        <td colspan="3">分管领导：<input name="bossqz" class="form-control" type="text" placeholder="">
                                            <br>时 间：<input name="bossqz_time" class="form-control" type="text" placeholder=""></td>
                                    </tr>
                                    <tr>
                                        <td colspan="3">工作组意见，经我们核实，该违章户已按要求自行完成违章建筑的拆除，同意<input name="ok" class="form-control" type="text" placeholder="">发放自行拆除费用
                                            <br>时 间：<input name="ok_time" class="form-control" type="text" placeholder=""></td>
                                        <td colspan="3">财务负责人：<input name="cwqz" class="form-control" type="text" placeholder="">
                                            <br>时 间：<input name="cw_time" class="form-control" type="text" placeholder=""></td>
                                    </tr>
                                    </tbody>
                                </table>
                                <div class="row">
                                    <div class="col-sm-4">核算：<input disabled name="hesuan" style="display: inline" class="form-control" type="text" placeholder=""></div>
                                    <div class="col-sm-4">初审：<input disabled name="chushen" style="display: inline" class="form-control" type="text" placeholder=""></div>
                                    <div class="col-sm-4">监审：<input disabled name="jianshen" style="display: inline" class="form-control" type="text" placeholder=""></div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-4">复核：<input disabled name="fuhe" style="display: inline" class="form-control" type="text" placeholder=""></div>
                                    <div class="col-sm-4"></div>
                                    <div class="col-sm-4"></div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-8">
                                <input hidden id="form_des" name="description"> </input>
                            </div>
                            <div class="col-sm-4">
                                @if($user->role == 0)
                                    <button type="submit" onclick="javascript:this.form.action='{{ url('/table/save/'.$table_type_id) }}'" class="btn btn-success">
                                        保存</button>
                                    <!-- Button trigger modal -->
                                    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#myModal">提交</button>
                                @else
                                    <button type="submit" onclick="javascript:this.form.action='{{ url('/table/sub/'.$table_type_id.'/create') }}'" class="btn btn-primary">
                                        提交</button>
                                @endif
                                <a href="{{ url('/table') }}" class="btn btn-info">返回</a>
                            </div>
                        </div>
                    </div>

                        {{--model--}}
                        <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                        <h4 class="modal-title" id="myModalLabel">提交说明</h4>
                                    </div>
                                    <div class="modal-body">
                                        <div class="form-group">
                                            <textarea class="form-control" id="model_des" name="sub_description" placeholder="输入您的内容..."></textarea>
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default" data-dismiss="modal">返回</button>
                                        <button type="submit" class="btn btn-primary" onclick="javascript:this.form.action='{{ url('/table/sub/'.$table_type_id.'/create') }}'">提交</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        {{--end model--}}

                        </form>
                </div>
                <!-- /.box-body -->
            </div>
            <!-- /.box -->

        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
@endsection