@extends('layouts.admin')
@section('content')

        <!--左侧菜单栏-->
<aside class="main-sidebar">
    <!-- sidebar: style can be found in sidebar.less -->
    <section class="sidebar">
        <!-- Sidebar user panel -->
        <div class="user-panel">
            <div class="pull-left image">
                @if($user->thumb == ' '||$user->thumb==null)
                    <img src="{{asset('img/arr.jpg')}}" class="img-circle" alt="User Image">
                @else
                    <img src="{{asset($user->thumb)}}" class="img-circle" alt="User Image">
                @endif            </div>
            <div class="pull-left info">
                <p>{{ $role->display_name }}</p>
                <a href="#"><i class="fa fa-circle text-success"></i> 在线</a>
            </div>
        </div>
        <!-- search form -->
        <form action="{{ url('/search/') }}" method="get" class="sidebar-form">
            <div class="input-group">
                <input type="text" name="search" class="form-control" placeholder="Search...">
              <span class="input-group-btn">
                <button type="submit"  id="search-btn" class="btn btn-flat"><i class="fa fa-search"></i>
                </button>
              </span>
            </div>
        </form>
        <!-- /.search form -->
        <!-- sidebar menu: : style can be found in sidebar.less -->
        <ul class="sidebar-menu">
            <li class="header">菜单栏</li>
            <li class="treeview">
                <a href="{{ url('/') }}">
                    <i class="fa fa-home"></i>
                    <span>信息汇总</span>
                </a>
            </li>
            <li class="treeview">
                <a href="#">
                    <i class="fa fa-files-o"></i>
                    <span>项目申请</span>
                    <i class="fa fa-angle-left pull-right"></i>
                </a>
                <ul class="treeview-menu">
                    <li><a href="{{ url('/table') }}"><i class="fa  fa-file-text-o"></i>受理案件
                            <i class="fa fa-angle-left pull-right"></i></a>
                        <ul class="treeview-menu">
                            <li><a href="{{ url('/table/1') }}"><i class="fa fa-circle-o"></i>安置单(货币化安置)</a></li>
                            <li><a href="{{ url('/table/2') }}"><i class="fa fa-circle-o"></i>违章建筑自行拆除费用申领表</a></li>
                            <li><a href="{{ url('/table/3') }}"><i class="fa fa-circle-o"></i>残疾人房征补贴审批确认单</a></li>
                            <li><a href="{{ url('/table/4') }}"><i class="fa fa-circle-o"></i>房屋征收提前搬迁奖励单</a></li>
                            <li><a href="{{ url('/table/5') }}"><i class="fa fa-circle-o"></i>逾期过渡安置补助费发放单</a></li>
                            <li><a href="{{ url('/table/6') }}"><i class="fa fa-circle-o"></i>房屋征收安置补贴单</a></li>
                            <li><a href="{{ url('/table/7') }}"><i class="fa fa-circle-o"></i>核算单（货币化安置）</a></li>
                            <li><a href="{{ url('/table/8') }}"><i class="fa fa-circle-o"></i>核算单（产权调换）</a></li>
                            <li><a href="{{ url('/table/9') }}"><i class="fa fa-circle-o"></i>核算单（货币补偿）</a></li>
                        </ul>
                    </li>
                    <li><a href="{{ url('/on_table') }}"><i class="fa fa-circle-o"></i>待办案件</a></li>

                </ul>
            </li>
            <li class="treeview">
                <a href="{{ url('/search/show') }}">
                    <i class="fa  fa-search"></i>
                    <span>案件追踪</span>
                </a>
            </li>
            <li class="treeview active">
                <a href="#">
                    <i class="fa fa-cogs"></i>
                    <span>系统设置</span>
                    <i class="fa fa-angle-left pull-right"></i>
                </a>
                <ul class="treeview-menu">
                    <li class="active"><a href="{{ url('/user_list') }}">
                            <i class="fa fa-circle-o"></i>
                            <span>用户管理</span></a>
                    </li>
                    <li><a href="{{ url('/job') }}">
                            <i class="fa fa-circle-o"></i>
                            <span>职位管理</span>
                        </a>
                    </li>
                    <li><a href="{{ url('/project') }}">
                            <i class="fa fa-circle-o"></i>
                            <span>项目管理</span>
                        </a>
                    </li>
                </ul>
            </li>
        </ul>
    </section>
    <!-- /.sidebar -->
</aside>
<!-- =============================================== -->
<!-- 内容 -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            用户管理
            <small></small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{{ url('/ ')}}"><i class="fa fa-dashboard"></i> 主页</a></li>
            <li><a href="#">征拆局系统维护</a></li>
            <li class="active">用户管理</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
        <div class="box">
            <div class="box-header with-border">
                <h3 class="box-title">添加用户</h3>
                <div class="box-tools pull-right">
                    <button type="button" class="btn btn-box-tool" data-widget="collapse" data-toggle="tooltip" title="Collapse">
                        <i class="fa fa-minus"></i></button>
                </div>
            </div>
            <div class="box-body">
                <form action="{{ url("/user") }}" method="post">
                    {{csrf_field()}}
                    @if(count($errors)>0)
                        <div class="callout callout-danger">
                            @if(is_object($errors))
                                @foreach($errors->all() as $error)
                                    <p>{{ $error }}</p>
                                @endforeach
                            @else
                                <p>{{ $errors }}</p>
                            @endif
                        </div>
                    @endif
                    <table id="example2" class="table table-bordered table-hover dataTable" role="grid" aria-describedby="example2_info">
                        <tbody>
                        <tr>
                            <td>登陆名</td>
                            <td><input name="name" class="form-control" value="" ></td>
                        </tr>
                        <tr>
                            <td>密码</td>
                            <td><input type="password" name="pswd" class="form-control"  value="" ></td>
                        </tr>
                        <tr>
                            <td>姓名</td>
                            <td><input name="surname" class="form-control" value=""  ></td>
                        </tr>
                        <tr>
                            <td>头像</td>
                            <td>
                                <input hidden name="thumb" class="form-control">
                                <input id="file_upload" name="file_upload" type="file" multiple="true">
                                <script src="{{ asset('uploadify/jquery.uploadify.min.js') }}" type="text/javascript"></script>
                                <link rel="stylesheet" type="text/css" href="{{ asset('uploadify/uploadify.css') }}">
                                <script type="text/javascript">
                                    <?php $timestamp = time();?>
                                    $(function() {
                                        $('#file_upload').uploadify({
                                            'buttonText' : '头像上传',
                                            'formData'     : {
                                                'timestamp' : '<?php echo $timestamp;?>',
                                                '_token'     : '{{ csrf_token() }}'
                                            },
                                            'swf'      : "{{asset('uploadify/uploadify.swf')}}",
                                            'uploader' : "{{url('/upload')}}",
                                            'onUploadSuccess' : function(file,data,response){
                                                $('input[name=thumb]').val(data);
//                                                $('#art_thumb_img').attr('src','/'+data);
                                            }
                                        });
                                    });
                                </script>
                            </td>
                        </tr>
                        {{--<tr>--}}
                            {{--<td>预览</td>--}}
                            {{--<td><img src="" alt="" id="art_thumb_img"  style="max-width: 350px;max-height: 100px;"></td>--}}
                        {{--</tr>--}}
                        <tr>
                            <td>职位</td>
                            <td>
                                <select class="form-control" name="role_id">
                                    <option value=""></option>
                                    @foreach($user_job as $value)
                                        <option value="{{$value->id}}">{{$value->display_name}}</option>
                                    @endforeach
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <td>学历</td>
                            <td><input name="education" class="form-control" value=""  ></td>
                        </tr>
                        <tr>
                            <td>单位</td>
                            <td>
                                <select class="form-control" name="department_id">
                                    <option value=""></option>
                                    @foreach( $department as $dep)
                                        <option value="{{ $dep->id }}">{{ $dep->department_name }}</option>
                                        @endforeach
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <td>证件名称</td>
                            <td><input name="cardname" class="form-control" value=""  ></td>
                        </tr>
                        <tr>
                            <td>证件编号</td>
                            <td><input name="cardid" class="form-control" value=""  ></td>
                        </tr>
                        <tr>
                            <td></td>
                            <td>
                                <button class="btn btn-primary" type="submit">提交</button>
                                <a href="{{ url('/user_list') }}" class="btn">返回</a>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </form>
            </div>
            <!-- /.box-body -->
        </div>
        <!-- /.box -->

    </section>
    <!-- /.content -->
</div>
<!-- /.content-wrapper -->

@endsection